Subject: Re: bug#14535: Wishlist: date(1): missing search keyword (UTC)

From: Pádraig Brady <[email-masked]>
Date: Mon, 03 Jun 2013 00:47:33 +0100

On 06/02/2013 12:21 PM, Andreas Mohr wrote:
> Hi,
> 
> just did man date, searched for "UTC" yet failed to hit the desired
> -u (--utc) section (IOW, a somewhat annoying productivity roadbump).
> 
> Thus it would be useful to extend
>        -u, --utc, --universal
>               print or set Coordinated Universal Time
> to
>        -u, --utc, --universal
>               print or set Coordinated Universal Time (UTC)
> 
> in order to avoid dearly wasted seconds of a many users' lifetime :)
> 
> 
> I would have submitted a format-patch vs. master, but due to the confusing
> (but likely useful) indirection in source I failed to successfully grep
> on where to change things (likely in src/date.c/usage() since that output
> possibly gets auto-generated into man pages,
> but perhaps somewhere else as well).

Yes that's a bit better and fits in the line,
so I've pushed that in your name.

Note personally I use "smartcase" matching,
and so usually search for lower case to match case insensitively.
I use vim as my MANPAGER, but you can also use this with less
by setting 'i' in your LESS env variable.

cheers,
Pádraig.